NotePost
========

A cloud-based notetaking app.

Features
--------

* Markdown support for simple formatting
* Color-coding and favoriting of notes
* Implements the [Nextcloud Notes API](https://github.com/nextcloud/notes/wiki/API-0.2), allowing integration with apps that support Nextcloud Notes (like [this one](https://github.com/stefan-niedermann/nextcloud-notes))
* Core notetaking functions work without JavaScript or in a text-only browser

Setup Tips
----------

* Run `composer install` (or `composer.phar install`) to install dependency libraries
* Run `git submodule init` and `git submodule update` to install several other dependencies
* Install the database using `database.mwb` or `database.sql`
* Copy `settings.template.php` to `settings.php` and customize
* You'll also need to setup [AccountHub](https://source.netsyms.com/Business/AccountHub)