<?php

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

// List of pages and metadata
define("PAGES", [
    "home" => [
        "title" => "Notes",
        "navbar" => true,
        "icon" => "far fa-sticky-note",
        "styles" => [
            "static/css/home.css"
        ],
        "scripts" => [
            "static/Shuffle/dist/shuffle.min.js",
            "static/js/home.js"
        ]
    ],
    "404" => [
        "title" => "404 error"
    ],
    "editnote" => [
        "title" => "Edit Note",
        "styles" => [
            "static/easy-markdown-editor/dist/easymde.min.css",
            "static/css/editnote.css"
        ],
        "scripts" => [
            "static/easy-markdown-editor/dist/easymde.min.js",
            "static/js/editnote.js"
        ]
    ],
    "newnote" => [
        "title" => "New Note",
        "navbar" => false,
        "icon" => "fas fa-plus",
        "styles" => [
            "static/easy-markdown-editor/dist/easymde.min.css",
            "static/css/editnote.css"
        ],
        "scripts" => [
            "static/easy-markdown-editor/dist/easymde.min.js",
            "static/js/editnote.js"
        ]
    ]
]);