/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


var easymde = new EasyMDE({
    element: $("#note_content")[0],
    autoDownloadFontAwesome: false,
    autofocus: true,
    forceSync: true,
    status: false,
    toolbar: [
        {
            name: "save",
            action: function saveNote(editor) {
                $("#noteform").submit();
            },
            className: "fas fa-save",
            title: "Save",
        },
        {
            name: "exit",
            action: function exit(editor) {
                document.location.href = "./app.php";
            },
            className: "fas fa-times",
            title: "Close",
        },
        "|",
        "bold",
        "italic",
        "heading",
        "|",
        "quote",
        "unordered-list",
        "ordered-list",
        "horizontal-rule",
        "|",
        "side-by-side",
        "fullscreen"
    ]
});

var autosaveTimer = setInterval(function () {
    //$("#noteform").submit();
}, 10 * 1000);